drop table ext_emps
/
drop directory ext_tables
/
set linesize 150
set pagesize 200
clear screen

CREATE OR REPLACE DIRECTORY EXT_TABLES AS 'C:\KennisMaken'; 

CREATE TABLE ext_emps
( firstname varchar2(40)
, lastname VARCHAR2(25)
, woonplaats varchar2(20)
, gewenst_salaris number(8,2)
) 
ORGANIZATION EXTERNAL 
( TYPE ORACLE_LOADER 
  DEFAULT DIRECTORY ext_tables
  ACCESS PARAMETERS 
   ( RECORDS DELIMITED BY NEWLINE 
     FIELDS TERMINATED BY ',' 
   )
  LOCATION ('emps.csv') 
) 
REJECT LIMIT UNLIMITED
/

clear screen
Prompt Select Employees from the Excel-spreadsheet
pause

select * 
from   ext_emps
order
by     lastname
/

prompt Update Spreadsheet
pause

select * 
from   ext_emps
order
by     lastname
/
 
prompt Edit Spreadsheet
pause
/

pause

drop table ext_emps
/
drop directory ext_tables
/
clear screen