set termout on
set echo on
set output on
set feedback on
set linesize 150
set pagesize 1500

create table emp_boedel as select * from emp
/


clear screen

Prompt Let's try Query B

select deptno
,      case grouping(job)
       when 0 then job
       when 1 then '**Total**'
       end job
,      count(*) headcount
from   emp e
group
by     rollup(deptno, job)
order
by     ( select avg(sal) 
         from emp o 
         where o.deptno = e.deptno
       )
/
pause
clear screen
Prompt What about query C?

select ename
,      extract(year from hiredate)  hireyear
,      sys_connect_by_path(ename,'-') hierarchy
,      dname
from   emp natural join dept
start  with mgr is null
connect by prior empno=mgr
order siblings by ename

pause
/
pause
clear screen

Prompt Is Merge statement D incorrect?


merge into emp e
using (select * from emp_boedel where sal < 1500) eb
on    (e.job = eb.job)
when  matched
then  update set   e.sal = eb.sal
             where e.comm > eb.comm
when  not matched
then  insert (empno,job,sal) 
      values (eb.empno, eb.job, eb.sal)
      
pause      
/      

pause
clear screen
Prompt Could it be A that has the error?

select deptno
,      avg(hiredate) average_hiredate
from   emp
group
by     deptno

pause
/
pause

drop table emp_boedel
/
clear screen
