set termout on
set echo on
set serveroutput on
set feedback on
set linesize 150
set pagesize 1500

connect sys/oracle as sysdba

begin
   DBMS_ADVANCED_REWRITE.DECLARE_REWRITE_EQUIVALENCE (
   'my_first_equivalence',
   'select  ename from emp'
   ,'select dname from dept', false);
end;
/

clear screen

select ename 
from emp

pause
/
pause
clear screen

rem let's put things right again

begin
    /* we will now undo the statement:
       DBMS_ADVANCED_REWRITE.DECLARE_REWRITE_EQUIVALENCE 
       ( 'my_first_equivalence'
       , 'select  ename from emp'
       , 'select dname from dept'
       , false
       );
    */
    DBMS_ADVANCED_REWRITE.drop_REWRITE_EQUIVALENCE('my_first_equivalence');
end;
/
select ename 
from emp

pause
/


connect scott/tiger