set serveroutput on size 99999

clear screen

create table t
( i number
, v varchar2(1)
)
/

create or replace trigger t_bru
before update on t
for each row
begin
  dbms_output.put_line( 'BR Update trigger fired on t for i='||:old.i||' => '||:new.i);
end;
/

pause

insert into t values (1,'A');
insert into t values (2,'B');
insert into t values (3,'C');

commit;

select * 
from   t
/

pause
rem Go to another session  (with serveroutput on)
rem and do Update t set i=6 where i=3

pause

rem do this update and when it hangs, go to the other session and commit


update t
set    i=i+1
where  i<10
/



pause

drop table t
/
pause


clear screen
